diff -Naur uim-1.4.2.orig/xinitrc.uim.sh uim-1.4.2/xinitrc.uim.sh
--- uim-1.4.2.orig/xinitrc.uim.sh	1970-01-01 09:00:00.000000000 +0900
+++ uim-1.4.2/xinitrc.uim.sh	2008-03-31 02:51:31.000000000 +0900
@@ -0,0 +1,14 @@
+# If you don't want to launch uim, put xinitrc_uim_enable=NO
+# in your .xinitrc
+: ${xinitrc_uim_enable=YES}
+
+# To see available backend conversion engines, type "uim-xim --list".
+: ${xinitrc_uim_engine=anthy-utf8}
+
+case $xinitrc_uim_enable in
+    [Yy][Ee][Ss])
+    if test -x "$fink_prefix/bin/uim-xim"; then
+        "$fink_prefix/bin/uim-xim" --engine=$xinitrc_uim_engine &
+    fi
+    ;;
+esac
diff -Naur uim-1.5.1.orig/xinitrc.uim-toolbar.sh uim-1.5.1/xinitrc.uim-toolbar.sh
--- uim-1.5.1.orig/xinitrc.uim-toolbar.sh	1970-01-01 09:00:00.000000000 +0900
+++ uim-1.5.1/xinitrc.uim-toolbar.sh	2008-06-27 16:59:14.000000000 +0900
@@ -0,0 +1,11 @@
+# If you don't want to launch uim-toolbar-gtk, put xinitrc_uim_toolbar_enable=NO
+# in your .xinitrc
+: ${xinitrc_uim_toolbar_enable=YES}
+
+case $xinitrc_uim_toolbar_enable in
+    [Yy][Ee][Ss])
+    if test -x "$fink_prefix/bin/uim-toolbar-gtk"; then
+        "$fink_prefix/bin/uim-toolbar-gtk" &
+    fi
+    ;;
+esac
diff -Naur uim-1.5.1.orig/xim/Makefile.in uim-1.5.1/xim/Makefile.in
--- uim-1.5.1.orig/xim/Makefile.in	2008-05-17 12:42:14.000000000 +0900
+++ uim-1.5.1/xim/Makefile.in	2008-06-28 00:34:08.000000000 +0900
@@ -82,7 +82,7 @@
 @XIM_TRUE@	$(am__DEPENDENCIES_1)
 uim_xim_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CXXLD) $(uim_xim_CXXFLAGS) $(CXXFLAGS) \
-	$(uim_xim_LDFLAGS) $(LDFLAGS) -o $@
+	$(LDFLAGS) $(uim_xim_LDFLAGS) -o $@
 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/uim
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -361,8 +361,8 @@
 @XIM_TRUE@	$(top_builddir)/uim/libuim-x-util.la $(am__append_5)
 @XIM_TRUE@uim_xim_CPPFLAGS = -I$(top_builddir) -I$(top_srcdir) \
 @XIM_TRUE@	$(am__append_1) $(am__append_2)
-@XIM_TRUE@uim_xim_CFLAGS = @X_CFLAGS@ -Wall $(am__append_3)
-@XIM_TRUE@uim_xim_CXXFLAGS = @X_CFLAGS@ -Wall $(am__append_4)
+@XIM_TRUE@uim_xim_CFLAGS = -Wall $(am__append_3) @X_CFLAGS@ 
+@XIM_TRUE@uim_xim_CXXFLAGS = -Wall $(am__append_4) @X_CFLAGS@ 
 @XIM_TRUE@man1_MANS = uim-xim.1
 @XIM_TRUE@uim_xim_SOURCES = \
 @XIM_TRUE@	main.cpp convdisp.cpp \
diff -Naur uim-1.4.2.orig/configure uim-1.4.2/configure
--- uim-1.4.2.orig/configure	2008-02-20 21:25:46.000000000 +0900
+++ uim-1.4.2/configure	2008-05-07 02:13:12.000000000 +0900
@@ -22157,6 +22157,7 @@
 /* end confdefs.h.  */
  #undef _WCHAR_T
 
+#define CANNA_NEW_WCHAR_AWARE
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
diff -Naur uim-1.5.4.orig/helper/Makefile.in uim-1.5.4/helper/Makefile.in
--- uim-1.5.4.orig/helper/Makefile.in	2008-10-24 08:11:28.000000000 -0400
+++ uim-1.5.4/helper/Makefile.in	2011-04-03 09:07:11.000000000 -0400
@@ -520,7 +520,7 @@
 @GTK2_TRUE@uim_toolbar_gtk_systray_SOURCES = toolbar-systray-gtk.c toolbar-common-gtk.c \
 @GTK2_TRUE@				   eggtrayicon.c eggtrayicon.h
 
-@GTK2_TRUE@uim_toolbar_gtk_systray_LDADD = @GTK2_LIBS@ \
+@GTK2_TRUE@uim_toolbar_gtk_systray_LDADD = @GTK2_LIBS@ -L/usr/X11R6/lib -lX11 \
 @GTK2_TRUE@				   $(top_builddir)/uim/libuim-scm.la \
 @GTK2_TRUE@				   $(top_builddir)/uim/libuim.la
 
@@ -543,7 +543,7 @@
 @GTK2_4_TRUE@@GTK2_TRUE@@PREF_TRUE@			pref-gtk-keytab.h \
 @GTK2_4_TRUE@@GTK2_TRUE@@PREF_TRUE@			../gtk/key-util-gtk.c ../gtk/key-util-gtk.h
 
-@GTK2_4_TRUE@@GTK2_TRUE@@PREF_TRUE@uim_pref_gtk_LDADD = @GTK2_LIBS@ \
+@GTK2_4_TRUE@@GTK2_TRUE@@PREF_TRUE@uim_pref_gtk_LDADD = @GTK2_LIBS@ -L/usr/X11R6/lib -lX11 \
 @GTK2_4_TRUE@@GTK2_TRUE@@PREF_TRUE@	$(top_builddir)/uim/libuim-custom.la \
 @GTK2_4_TRUE@@GTK2_TRUE@@PREF_TRUE@	$(top_builddir)/uim/libuim-scm.la \
 @GTK2_4_TRUE@@GTK2_TRUE@@PREF_TRUE@	$(top_builddir)/uim/libuim.la \
diff -Naur uim-1.4.2.orig/helper/dict-canna.c uim-1.4.2/helper/dict-canna.c
--- uim-1.4.2.orig/helper/dict-canna.c	2008-02-19 18:16:27.000000000 +0900
+++ uim-1.4.2/helper/dict-canna.c	2008-05-07 02:13:21.000000000 +0900
@@ -36,6 +36,7 @@
 #include <unistd.h>
 #include <sys/types.h>
 
+#define CANNA_NEW_WCHAR_AWARE
 #include <canna/RK.h>
 
 #include <stdlib.h>
diff -Naur uim-1.4.2.orig/uim/canna.c uim-1.4.2/uim/canna.c
--- uim-1.4.2.orig/uim/canna.c	2008-02-19 18:16:27.000000000 +0900
+++ uim-1.4.2/uim/canna.c	2008-05-07 02:25:33.000000000 +0900
@@ -36,6 +36,7 @@
 #include <config.h>
 
 #ifdef HAVE_CANNA_RK_H
+#define CANNA_NEW_WCHAR_AWARE
 #include <canna/RK.h>
 #include <stdio.h>
 #include <stdlib.h>
